# Uses of Class
ij.gui.Overlay

Packages that use Overlay
Package
Description
ij
ij.gui
ij.plugin
ij.plugin.frame
ij.process

## Uses of Overlay in ij

Methods in ij that return Overlay
Modifier and Type
Method
Description
`Overlay`
ImagePlus.`getOverlay()`
Returns the current overly, or null if this image does not have an overlay.
Methods in ij with parameters of type Overlay
Modifier and Type
Method
Description
`void`
ImagePlus.`setOverlay(Overlay overlay)`
Installs a list of ROIs that will be drawn on this image as a non-destructive overlay.

## Uses of Overlay in ij.gui

Methods in ij.gui that return Overlay
Modifier and Type
Method
Description
`Overlay`
Overlay.`add(Overlay overlay2)`
Adds the ROIs in 'overlay2' to this overlay.
`Overlay`
Overlay.`create()`
Returns a new Overlay that has the same properties as this one.
`static Overlay`
Overlay.`createStackOverlay(Roi[] rois)`
`Overlay`
Overlay.`crop(Rectangle bounds)`
`Overlay`
Overlay.`duplicate()`
Returns a clone of this Overlay.
`Overlay`
ImageCanvas.`getOverlay()`
Use ImagePlus.getOverlay().
`Overlay`
Roi.`getPrototypeOverlay()`
`Overlay`
ImageCanvas.`getShowAllList()`
`Overlay`
Overlay.`rotate(double angle, double xcenter, double ycenter)`
Returns a rotated version of this Overlay.
`Overlay`
Overlay.`scale(double xscale, double yscale)`
Returns a scaled version of this Overlay.
Methods in ij.gui with parameters of type Overlay
Modifier and Type
Method
Description
`Overlay`
Overlay.`add(Overlay overlay2)`
Adds the ROIs in 'overlay2' to this overlay.
`void`
ImageCanvas.`setOverlay(Overlay overlay)`
Use ImagePlus.setOverlay(ij.gui.Overlay).
`void`
Roi.`setPrototypeOverlay(Overlay overlay)`
`void`
ImageCanvas.`setShowAllList(Overlay showAllList)`

## Uses of Overlay in ij.plugin

Methods in ij.plugin that return Overlay
Modifier and Type
Method
Description
`static Overlay`
OverlayLabels.`createOverlay()`
Creates an empty Overlay that has the current label settings.
`static Overlay`
Duplicator.`cropOverlay(Overlay overlay, Rectangle bounds)`
Methods in ij.plugin with parameters of type Overlay
Modifier and Type
Method
Description
`static Overlay`
Duplicator.`cropOverlay(Overlay overlay, Rectangle bounds)`

## Uses of Overlay in ij.plugin.frame

Methods in ij.plugin.frame with parameters of type Overlay
Modifier and Type
Method
Description
`void`
RoiManager.`setOverlay(Overlay overlay)`

## Uses of Overlay in ij.process

Methods in ij.process that return Overlay
Modifier and Type
Method
Description
`Overlay`
ImageProcessor.`getOverlay()`
Methods in ij.process with parameters of type Overlay
Modifier and Type
Method
Description
`void`
ImageProcessor.`drawOverlay(Overlay overlay)`
Draws the specified Overlay on this image.
`void`
ImageProcessor.`setOverlay(Overlay overlay)`
This method is used to display virtual stack overlays.